Subject: Re: [PATCH 07/30] net: wireless: broadcom: b43: main: Add braces around empty statements

From: Lee Jones <[email-masked]>
Date: Mon, 17 Aug 2020 09:50:18 +0100

On Fri, 14 Aug 2020, Kalle Valo wrote:

> Lee Jones <[email-masked]> writes:
> 
> > On Fri, 14 Aug 2020, Kalle Valo wrote:
> >
> >> Lee Jones <[email-masked]> writes:
> >> 
> >> > Fixes the following W=1 kernel build warning(s):
> >> >
> >> >  drivers/net/wireless/broadcom/b43/main.c: In function ‘b43_dummy_transmission’:
> >> >  drivers/net/wireless/broadcom/b43/main.c:785:3: warning: suggest
> >> > braces around empty body in an ‘if’ statement [-Wempty-body]
> >> >  drivers/net/wireless/broadcom/b43/main.c: In function ‘b43_do_interrupt_thread’:
> >> >  drivers/net/wireless/broadcom/b43/main.c:2017:3: warning: suggest
> >> > braces around empty body in an ‘if’ statement [-Wempty-body]
> >> >
> >> > Cc: Kalle Valo <[email-masked]>
> >> > Cc: "David S. Miller" <[email-masked]>
> >> > Cc: Jakub Kicinski <[email-masked]>
> >> > Cc: Martin Langer <[email-masked]>
> >> > Cc: Stefano Brivio <[email-masked]>
> >> > Cc: Michael Buesch <[email-masked]>
> >> > Cc: van Dyk <[email-masked]>
> >> > Cc: Andreas Jaggi <[email-masked]>
> >> > Cc: Albert Herranz <[email-masked]>
> >> > Cc: [email-masked]
> >> > Cc: [email-masked]
> >> > Cc: [email-masked]
> >> > Signed-off-by: Lee Jones <[email-masked]>
> >> > ---
> >> >  drivers/net/wireless/broadcom/b43/main.c | 6 ++++--
> >> >  1 file changed, 4 insertions(+), 2 deletions(-)
> >> 
> >> Please don't copy the full directory structure to the title. I'll change
> >> the title to more simple version:
> >> 
> >> b43: add braces around empty statements
> >
> > This seems to go the other way.
> >
> > "net: wireless: b43" seems sensible.
> 
> Sorry, not understanding what you mean here.

So I agree that:

  "net: wireless: broadcom: b43: main"

... seems unnecessarily long and verbose.  However, IMHO:

  "b43:"

... is too short and not forthcoming enough.  Obviously this fine when
something like `git log -- net/wireless`, as you already know what the
patch pertains to, however when someone who is not in the know (like I
would be) does `git log` and sees a "b43:" patch, they would have no
idea which subsystem this patch is adapting.  Even:

  "wireless: b43:"

... would be worlds better.

A Git log which omitted all subsystem tags would be of limited use.

> >> I'll do similar changes to other wireless-drivers patches.
> >
> > Thanks.
> >
> > Does that mean it's been applied, or is this future tense?
> 
> It's not applied yet, there will be an automatic "applied" email once I
> have done that.

I see.  Thanks for the clarification.

-- 
Lee Jones [李琼斯]
Senior Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog